from Socket import *


def main():
    """
    connects to server and sends and receives commands.
    """
    try:
        with Socket() as soc:
            soc.connect((HOME_ADDRESS, RANDOM_PORT))
            finished = False
            while not finished:
                data = input('what would you like to know? '
                             'enter "help" for a list of possible commands')
                soc.send_sized(data)

                if data.upper() == 'EXIT':
                    finished = True
                elif data.upper()=='SCREEN':
                    response=soc.recv_chopped()
                    with open('received_screen.png','wb') as f:
                        f.write(response)
                else:
                    response = soc.recv_sized()
                    print(to_str(response))

    except ConnectionRefusedError:
        print('sorry, the servers are down ):')


if __name__ == '__main__':
    main()
